Commit d912fa4a authored by Alexander Larsson's avatar Alexander Larsson
Browse files

Rename -devel packages to -dev

This makes us consistent with the yocto base.
parent 00183c89
......@@ -14,7 +14,7 @@ BuildArch: noarch
BuildRequires: gnome-sdk-base
BuildRequires: librsvg2
BuildRequires: gtk3-devel
BuildRequires: gtk3-dev
BuildRequires: hicolor-icon-theme
Requires: adwaita-cursor-theme = %{version}-%{release}
......@@ -29,12 +29,12 @@ Summary: Adwaita cursor theme
The adwaita-cursor-theme package contains a modern set of cursors originally
designed for the GNOME desktop.
%package devel
%package dev
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
%description devel
The %{name}-devel package contains the pkgconfig file for
%description dev
The %{name}-dev package contains the pkgconfig file for
developing applications that use %{name}.
%prep
......@@ -83,7 +83,7 @@ gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :
%doc COPYING*
%{_datadir}/icons/Adwaita/cursors/
%files devel
%files dev
%{_datadir}/pkgconfig/adwaita-icon-theme.pc
%changelog
......
......@@ -25,14 +25,14 @@ other technical enhancements over Ispell such as using shared memory for
dictionaries and intelligently handling personal dictionaries when more
than one Aspell process is open at once.
%package devel
%package dev
Summary: Libraries and header files for Aspell development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
%description devel
The aspell-devel package includes libraries
%description dev
The aspell-dev package includes libraries
and header files needed for Aspell development.
%prep
......@@ -95,7 +95,7 @@ rm -f ${RPM_BUILD_ROOT}%{_mandir}/man1/aspell-import.1
%{_mandir}/man1/word-list-compress.1*
%{_mandir}/man1/prezip-bin.1*
%files devel
%files dev
%dir %{_includedir}/pspell
%{_bindir}/pspell-config
%{_includedir}/aspell.h
......
......@@ -12,11 +12,11 @@ URL: http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0: http://download.gnome.org/sources/at-spi2-atk/%{release_version}/%{name}-%{version}.tar.xz
BuildRequires: gnome-sdk-base
BuildRequires: atk-devel
BuildRequires: at-spi2-core-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glib2-devel
BuildRequires: atk-dev
BuildRequires: at-spi2-core-dev
BuildRequires: dbus-dev
BuildRequires: dbus-glib-dev
BuildRequires: glib2-dev
Requires: atk%{?_isa} >= %{atk_version}
Requires: at-spi2-core%{?_isa} >= %{at_spi2_core_version}
......@@ -34,12 +34,12 @@ ORBIT / CORBA for its transport protocol.
This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.
%package devel
%package dev
Summary: A GTK+ module that bridges ATK to D-Bus at-spi
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
The %{name}-devel package includes the header files for the %{name} library.
%description dev
The %{name}-dev package includes the header files for the %{name} library.
%prep
%setup -q
......@@ -69,7 +69,7 @@ rm $RPM_BUILD_ROOT%{_libdir}/libatk-bridge-2.0.la
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/at-spi2-atk.desktop
%{_libdir}/libatk-bridge-2.0.so.*
%files devel
%files dev
%{_includedir}/at-spi2-atk/2.0/atk-bridge.h
%{_libdir}/libatk-bridge-2.0.so
%{_libdir}/pkgconfig/atk-bridge-2.0.pc
......
......@@ -11,13 +11,13 @@ URL: http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0: http://download.gnome.org/sources/at-spi2-core/%{release_version}/%{name}-%{version}.tar.xz
BuildRequires: gnome-sdk-base
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: libXtst-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: dbus-dev
BuildRequires: dbus-glib-dev
BuildRequires: glib2-dev
BuildRequires: gobject-introspection-dev
BuildRequires: libXtst-dev
BuildRequires: libXext-dev
BuildRequires: libXi-dev
Requires: dbus
......@@ -31,13 +31,13 @@ This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.
%package devel
%package dev
Summary: Development files and headers for at-spi2-core
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
The at-spi2-core-devel package includes the header files and
%description dev
The at-spi2-core-dev package includes the header files and
API documentation for libatspi.
%prep
......@@ -71,7 +71,7 @@ rm $RPM_BUILD_ROOT%{_libdir}/libatspi.la
%{_datadir}/dbus-1/services/org.a11y.Bus.service
%files devel
%files dev
%{_libdir}/libatspi.so
%{_datadir}/gtk-doc/html/libatspi
%{_datadir}/gir-1.0/Atspi-2.0.gir
......
......@@ -11,8 +11,8 @@ Source: http://download.gnome.org/sources/atk/%{release_version}/atk-%{version}.
URL: http://developer.gnome.org/platform-overview/stable/atk
BuildRequires: gnome-sdk-base
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: glib2-dev
BuildRequires: gobject-introspection-dev
%description
The ATK library provides a set of interfaces for adding accessibility
......@@ -21,12 +21,12 @@ supporting the ATK interfaces, an application or toolkit can be used
with tools such as screen readers, magnifiers, and alternative input
devices.
%package devel
%package dev
Summary: Development files for the ATK accessibility toolkit
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%description dev
This package includes libraries, header files, and developer documentation
needed for development of applications or toolkits which use ATK.
......@@ -55,7 +55,7 @@ rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
%{_libdir}/libatk-1.0.so.*
%{_libdir}/girepository-1.0
%files devel
%files dev
%{_libdir}/libatk-1.0.so
%{_includedir}/atk-1.0
%{_libdir}/pkgconfig/atk.pc
......
......@@ -10,16 +10,16 @@ License: LGPLv2 or MPLv1.1
Group: System Environment/Libraries
BuildRequires: gnome-sdk-base
BuildRequires: libXrender-devel
BuildRequires: libXext-devel
BuildRequires: libX11-devel
BuildRequires: pixman-devel
BuildRequires: freetype-devel
BuildRequires: fontconfig-devel
BuildRequires: glib2-devel
#BuildRequires: librsvg2-devel
#BuildRequires: mesa-libGL-devel
#BuildRequires: mesa-libEGL-devel
BuildRequires: libXrender-dev
BuildRequires: libXext-dev
BuildRequires: libX11-dev
BuildRequires: pixman-dev
BuildRequires: freetype-dev
BuildRequires: fontconfig-dev
BuildRequires: glib2-dev
#BuildRequires: librsvg2-dev
#BuildRequires: mesa-libGL-dev
#BuildRequires: mesa-libEGL-dev
%description
Cairo is a 2D graphics library designed to provide high-quality display
......@@ -31,16 +31,16 @@ Cairo is designed to produce consistent output on all output media while
taking advantage of display hardware acceleration when available (e.g.
through the X Render Extension or OpenGL).
%package devel
%package dev
Summary: Development files for cairo
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libXrender-devel
Requires: pixman-devel
Requires: freetype-devel
Requires: fontconfig-devel
Requires: libXrender-dev
Requires: pixman-dev
Requires: freetype-dev
Requires: fontconfig-dev
%description devel
%description dev
Cairo is a 2D graphics library designed to provide high-quality display
and print output.
......@@ -59,13 +59,13 @@ and print output.
This package contains functionality to make cairo graphics library
integrate well with the GObject object system used by GNOME.
%package gobject-devel
%package gobject-dev
Summary: Development files for cairo-gobject
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-dev = %{version}-%{release}
Requires: %{name}-gobject = %{version}-%{release}
%description gobject-devel
%description gobject-dev
Cairo is a 2D graphics library designed to provide high-quality display
and print output.
......@@ -123,7 +123,7 @@ make check V=1 %{?_smp_mflags} ||:
%{_libdir}/libcairo-script-interpreter.so.*
%{_bindir}/cairo-sphinx
%files devel
%files dev
%doc ChangeLog PORTING_GUIDE
%dir %{_includedir}/cairo/
%{_includedir}/cairo/cairo-deprecated.h
......@@ -164,7 +164,7 @@ make check V=1 %{?_smp_mflags} ||:
%files gobject
%{_libdir}/libcairo-gobject.so.*
%files gobject-devel
%files gobject-dev
%{_includedir}/cairo/cairo-gobject.h
%{_libdir}/libcairo-gobject.so
%{_libdir}/pkgconfig/cairo-gobject.pc
......
......@@ -13,21 +13,21 @@ URL: http://www.clutter-project.org
Source0: http://download.gnome.org/sources/clutter-gtk/%{release_version}/clutter-gtk-%{version}.tar.xz
BuildRequires: gnome-sdk-base
BuildRequires: gtk3-devel
BuildRequires: clutter-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gtk3-dev
BuildRequires: clutter-dev
BuildRequires: gobject-introspection-dev
%description
clutter-gtk is a library which allows the embedding of a Clutter
canvas (or "stage") into a GTK+ application, as well as embedding
GTK+ widgets inside the stage.
%package devel
%package dev
Summary: Clutter-gtk development environment
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%description dev
Header files and libraries for building a extension library for the
clutter-gtk.
......@@ -61,7 +61,7 @@ make check %{?_smp_mflags} V=1
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/GtkClutter-%{clutter_version}.typelib
%files devel
%files dev
%{_includedir}/clutter-gtk-%{clutter_version}/
%{_libdir}/pkgconfig/clutter-gtk-%{clutter_version}.pc
%{_libdir}/*.so
......
......@@ -11,15 +11,15 @@ URL: http://www.clutter-project.org/
Source0: http://download.gnome.org/sources/clutter/%{release_version}/clutter-%{version}.tar.xz
BuildRequires: gnome-sdk-base
BuildRequires: glib2-devel mesa-libGL-devel pango-devel
BuildRequires: cairo-gobject-devel gdk-pixbuf2-devel atk-devel
BuildRequires: cogl-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gtk3-devel
BuildRequires: json-glib-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXi-devel
BuildRequires: glib2-dev mesa-libGL-dev pango-dev
BuildRequires: cairo-gobject-dev gdk-pixbuf2-dev atk-dev
BuildRequires: cogl-dev
BuildRequires: gobject-introspection-dev
BuildRequires: gtk3-dev
BuildRequires: json-glib-dev
BuildRequires: libXcomposite-dev
BuildRequires: libXdamage-dev
BuildRequires: libXi-dev
Requires: gobject-introspection
......@@ -29,12 +29,12 @@ visually rich graphical user interfaces. The most obvious example
of potential usage is in media center type applications.
We hope however it can be used for a lot more.
%package devel
%package dev
Summary: Clutter development environment
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%description dev
Header files and libraries for building a extension library for the
clutter
......@@ -79,7 +79,7 @@ find %{buildroot} -name '*.la' -delete
%{_libdir}/*.so.0.*
%{_libdir}/girepository-1.0/*.typelib
%files devel
%files dev
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
......
......@@ -11,19 +11,19 @@ URL: http://www.clutter-project.org/
Source0: http://download.gnome.org/sources/cogl/%{release_version}/cogl-%{version}.tar.xz
BuildRequires: gnome-sdk-base
BuildRequires: cairo-devel
BuildRequires: gdk-pixbuf2-devel
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: libXrandr-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libEGL-devel
BuildRequires: mesa-libgbm-devel
BuildRequires: pango-devel
BuildRequires: cairo-dev
BuildRequires: gdk-pixbuf2-dev
BuildRequires: glib2-dev
BuildRequires: gobject-introspection-dev
BuildRequires: libXrandr-dev
BuildRequires: libXcomposite-dev
BuildRequires: libXdamage-dev
BuildRequires: libXext-dev
BuildRequires: libXfixes-dev
BuildRequires: mesa-libGL-dev
BuildRequires: mesa-libEGL-dev
BuildRequires: mesa-libgbm-dev
BuildRequires: pango-dev
%description
Cogl is a small open source library for using 3D graphics hardware to draw
......@@ -42,12 +42,12 @@ once and there is no risk of inconsistency between implementations.
Having other backends, besides OpenGL, such as drm, Gallium or D3D are
options we are interested in for the future.
%package devel
%package dev
Summary: %{name} development environment
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%description dev
Header files and libraries for building and developing apps with %{name}.
%prep
......@@ -86,7 +86,7 @@ rm %{buildroot}%{_datadir}/cogl/examples-data/crate.jpg
%{_libdir}/libcogl*.so.20*
%{_libdir}/girepository-1.0/Cogl*.typelib
%files devel
%files dev
%{_includedir}/cogl
%{_libdir}/libcogl*.so
%{_libdir}/pkgconfig/*.pc
......
......@@ -11,22 +11,22 @@ License: AFL and GPLv2+
Group: System Environment/Libraries
BuildRequires: gnome-sdk-base
BuildRequires: dbus-devel
BuildRequires: glib2-devel
BuildRequires: dbus-dev
BuildRequires: glib2-dev
%description
D-Bus add-on library to integrate the standard D-Bus library with
the GLib thread abstraction and main loop.
%package devel
%package dev
Summary: Libraries and headers for the D-Bus GLib bindings
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: glib2-devel
Requires: dbus-devel
Requires: glib2-dev
Requires: dbus-dev
%description devel
%description dev
Headers and static libraries for the D-Bus GLib bindings
......@@ -64,7 +64,7 @@ rm -rf %{buildroot}
%{_libdir}/*glib*.so.*
%{_bindir}/dbus-binding-tool
%files devel
%files dev
%defattr(-,root,root)
%{_libdir}/lib*.so
......
......@@ -16,7 +16,7 @@ License: GPLv2+ or AFL
Group: System Environment/Libraries
BuildRequires: gnome-sdk-base
BuildRequires: libX11-devel
BuildRequires: libX11-dev
Requires: dbus-libs%{?_isa} = %{version}-%{release}
%description
......@@ -41,12 +41,12 @@ BuildArch: noarch
This package contains developer documentation for D-Bus along with
other supporting documentation such as the introspect dtd file.
%package devel
%package dev
Summary: Development files for D-BUS
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
%description dev
This package contains libraries and header files needed for
developing software that uses D-BUS.
......@@ -150,7 +150,7 @@ rm -rf %{buildroot}
%defattr(-,root,root)
%{_pkgdocdir}/*
%files devel
%files dev
%defattr(-,root,root)
/%{_lib}/lib*.so
......
......@@ -11,10 +11,10 @@ URL: http://live.gnome.org/dconf
#VCS: git:git://git.gnome.org/dconf
Source0: http://download.gnome.org/sources/dconf/%{release_version}/dconf-%{version}.tar.xz
BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: dbus-devel
BuildRequires: vala-devel
BuildRequires: glib2-dev
BuildRequires: gtk3-dev
BuildRequires: dbus-dev
BuildRequires: vala-dev
Requires: glib2
......@@ -22,12 +22,12 @@ Requires: glib2
dconf is a low-level configuration system. Its main purpose is to provide a
backend to the GSettings API in GLib.
%package devel
%package dev
Summary: Header files and libraries for dconf development
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%description dev
dconf development package. Contains files needed for doing software
development using dconf.
......@@ -107,7 +107,7 @@ done
%{_libdir}/libdconf-dbus-1.so.*
%{_datadir}/bash-completion/completions/dconf
%files devel
%files dev
%{_includedir}/dconf
%{_libdir}/libdconf.so
%{_libdir}/pkgconfig/dconf.pc
......
......@@ -11,7 +11,7 @@ License: GPLv2+
Group: Development/Tools
BuildRequires: gnome-sdk-base
BuildRequires: glib2-devel
BuildRequires: glib2-dev
%description
.desktop files are used to describe an application for inclusion in
......
......@@ -7,20 +7,20 @@ License: LGPLv2+
Source: http://www.abisource.com/downloads/enchant/%{version}/enchant-%{version}.tar.gz
URL: http://www.abisource.com/
BuildRequires: gnome-sdk-base
BuildRequires: glib2-devel
BuildRequires: hunspell-devel
BuildRequires: glib2-dev
BuildRequires: hunspell-dev
BuildRequires: hunspell-en
%description
A library that wraps other spell checking backends.
%package devel
%package dev
Summary: Support files necessary to compile applications with libenchant.
Group: Development/Libraries
Requires: enchant = %{version}-%{release}
Requires: glib2-devel
Requires: glib2-dev
%description devel
%description dev
Libraries, headers, and support files necessary to compile applications using libenchant.
%prep
......@@ -46,7 +46,7 @@ rm -f $RPM_BUILD_ROOT/%{_libdir}/enchant/*.la
%{_mandir}/man1/enchant.1*
%{_datadir}/enchant
%files devel
%files dev
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/enchant.pc
......
......@@ -18,7 +18,7 @@ Patch1: %{name}-fix-fccache-fail.patch
Patch2: %{name}-fix-broken-cache.patch
BuildRequires: gnome-sdk-base
BuildRequires: freetype-devel
BuildRequires: freetype-dev
Requires(pre): freetype
......@@ -27,27 +27,27 @@ Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by
applications.
%package devel
%package dev
Summary: Font configuration and customization library
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: freetype-devel >= %{freetype_version}
Requires: freetype-dev >= %{freetype_version}
%description devel
The fontconfig-devel package includes the header files,
%description dev
The fontconfig-dev package includes the header files,
and developer docs for the fontconfig package.
Install fontconfig-devel if you want to develop programs which
Install fontconfig-dev if you want to develop programs which
will use fontconfig.
%package devel-doc
%package dev-doc
Summary: Development Documentation files for fontconfig library
Group: Documentation
BuildArch: noarch
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-dev = %{version}-%{release}
%description devel-doc
The fontconfig-devel-doc package contains the documentation files
%description dev-doc
The fontconfig-dev-doc package contains the documentation files
which is useful for developing applications that uses fontconfig.
%prep
......@@ -119,13 +119,13 @@ fi
%{_mandir}/man1/*
%{_mandir}/man5/*
%files devel
%files dev
%{_libdir}/libfontconfig.so
%{_libdir}/pkgconfig/*
%{_includedir}/fontconfig
%{_mandir}/man3/*
%files devel-doc
%files dev-doc
%doc fontconfig-devel.txt fontconfig-devel
%changelog
......
......@@ -40,16 +40,16 @@ individual glyphs. FreeType is not a font server or a complete
text-rendering library.
%package devel
%package dev
Summary: FreeType development libraries and header files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
The freetype-devel package includes the static libraries and header files
%description dev
The freetype-dev package includes the static libraries and header files
for the FreeType font rendering engine.
Install freetype-devel if you want to develop programs which will use
Install freetype-dev if you want to develop programs which will use
FreeType.
......@@ -101,7 +101,7 @@ rm -rf $RPM_BUILD_ROOT
%doc docs/LICENSE.TXT docs/FTL.TXT docs/GPLv2.TXT
%doc docs/CHANGES docs/VERSION.DLL docs/formats.txt
%files devel
%files dev
%defattr(-,root,root)
%dir %{_includedir}/freetype2
%{_datadir}/aclocal/freetype2.m4
......
......@@ -12,12 +12,12 @@ URL: http://www.gt.org